
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>【转】全面理解javascript的caller,callee,call,apply概念 / iVAN</title>

    <meta name="description" content="【转】全面理解javascript的caller,callee,call,apply概念 在提到上述的概念之前,首先想说说javascript中函数的隐含参数:arguments Arguments 该对象代表正在执行的函数和调用它的函数的参数. [function.]arguments[n] 参数function :选项.当前正在执行的 Function 对象的名字. n :选项.要传递给 Function 对象的从0开始的参数值索引.  说明 Arguments是进行函数调用时,除了指定的参数外,还另外创建的一个隐藏对象.Arguments是一个类似数组但不是数组的对象,说它类似">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">【转】全面理解javascript的caller,callee,call,apply概念</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>在提到上述的概念之前，首先想说说javascript中函数的隐含参数：arguments</p>
<p>Arguments</p>
<p>该对象代表正在执行的函数和调用它的函数的参数。</p>
<p>[function.]arguments[n]<br />
参数function ：选项。当前正在执行的 Function 对象的名字。 n ：选项。要传递给 Function 对象的从0开始的参数值索引。 <br />
说明</p>
<p>Arguments是进行函数调用时，除了指定的参数外，还另外创建的一个隐藏对象。Arguments是一个类似数组但不是数组的对象，说它类似数组是因为其具有数组一样的访问性质及方式，可以由arguments[n]来访问对应的单个参数的值，并拥有数组长度属性length。还有就是arguments对象存储的是实际传递给函数的参数，而不局限于函数声明所定义的参数列表，而且不能显式创建 arguments 对象。arguments 对象只有函数开始时才可用。下边例子详细说明了这些性质:</p>
<p><a><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvY29tbW9uLmNuYmxvZ3MuY29tL2ltYWdlcy9jb3B5Y29kZS5naWY=.jpg"></a></p>
<pre>//arguments 对象的用法。
function ArgTest(a, b){
    var i, s = "The ArgTest function expected ";
    var numargs = arguments.length;      // 获取被传递参数的数值。
    var expargs = ArgTest.length;        // 获取期望参数的数值。
    if (expargs &lt; 2)
       s += expargs + " argument. ";
    else
       s += expargs + " arguments. ";
    if (numargs &lt; 2)
       s += numargs + " was passed.";
    else
       s += numargs + " were passed.";
    s += "\n\n"
    for (i =0 ; i &lt; numargs; i++){       // 获取参数内容。
    s += "   Arg " + i + " = " + arguments[i] + "\n";
    }
    return(s);                           // 返回参数列表。
}</pre>
<p><a><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvY29tbW9uLmNuYmxvZ3MuY29tL2ltYWdlcy9jb3B5Y29kZS5naWY=.jpg"></a></p>
<p> </p>
<p>在此添加了一个说明arguments不是数组(Array类)的代码:</p>
<pre>Array.prototype.selfvalue = 1;
alert(new Array().selfvalue);
function testAguments(){
     alert(arguments.selfvalue);
}</pre>
<p> </p>
<p>运行代码你会发现第一个alert显示1，这表示数组对象拥有selfvalue属性，值为1，而当你调用函数testAguments时，你会发现显示的是“undefined”，说明了不是arguments的属性，即arguments并不是一个数组对象。</p>
<p>caller<br />
   返回一个对函数的引用，该函数调用了当前函数。<br />
   functionName.caller <br />
   functionName 对象是所执行函数的名称。<br />
说明<br />
对于函数来说，caller 属性只有在函数执行时才有定义。如果函数是由顶层调用的，那么 caller 包含的就是 null 。如果在字符串上下文中使用 caller 属性，那么结果和 functionName.toString 一样，也就是说，显示的是函数的反编译文本。<br />
下面的例子说明了 caller 属性的用法：</p>
<p><a><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvY29tbW9uLmNuYmxvZ3MuY29tL2ltYWdlcy9jb3B5Y29kZS5naWY=.jpg"></a></p>
<pre>// caller demo {
function callerDemo() {
     if (callerDemo.caller) {
         var a= callerDemo.caller.toString();
         alert(a);
     } else {
         alert("this is a top function");
     }
}
function handleCaller() {
     callerDemo();
}</pre>
<p><a><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvY29tbW9uLmNuYmxvZ3MuY29tL2ltYWdlcy9jb3B5Y29kZS5naWY=.jpg"></a></p>
<p> </p>
<p>callee</p>
<p>     返回正被执行的 Function 对象，也就是所指定的 Function 对象的正文。</p>
<p>[function.]arguments.callee<br />
可选项 function 参数是当前正在执行的 Function 对象的名称。</p>
<p>说明</p>
<p>callee 属性的初始值就是正被执行的 Function 对象。</p>
<p>callee 属性是 arguments 对象的一个成员，它表示对函数对象本身的引用，这有利于匿名<br />
函数的递归或者保证函数的封装性，例如下边示例的递归计算1到n的自然数之和。而该属性<br />
仅当相关函数正在执行时才可用。还有需要注意的是callee拥有length属性，这个属性有时候<br />
用于验证还是比较好的。arguments.length是实参长度，arguments.callee.length是<br />
形参长度，由此可以判断调用时形参长度是否和实参长度一致。</p>
<p>示例</p>
<p><a><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvY29tbW9uLmNuYmxvZ3MuY29tL2ltYWdlcy9jb3B5Y29kZS5naWY=.jpg"></a></p>
<pre>//callee可以打印其本身
function calleeDemo() {
     alert(arguments.callee);
}
//用于验证参数
function calleeLengthDemo(arg1, arg2) {
     if (arguments.length==arguments.callee.length) {
         window.alert("验证形参和实参长度正确！");
         return;
     } else {
         alert("实参长度：" +arguments.length);
         alert("形参长度： " +arguments.callee.length);
     }
}
//递归计算
var sum = function(n){
   if (n &lt;= 0)
   return 1;
   else
     return n ＋arguments.callee(n - 1)
}</pre>
<p><a><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvY29tbW9uLmNuYmxvZ3MuY29tL2ltYWdlcy9jb3B5Y29kZS5naWY=.jpg"></a></p>
<p> </p>
<p>比较一般的递归函数：</p>
<pre>var sum = function(n){
     if (1==n) return 1;
else return n + sum (n-1);</pre>
<p> </p>
<p>调用时：alert(sum(100));<br />
其中函数内部包含了对sum自身的引用，函数名仅仅是一个变量名，在函数内部调用sum即相当于调用<br />
一个全局变量，不能很好的体现出是调用自身，这时使用callee会是一个比较好的方法。</p>
<p>apply and call</p>
<p>    它们的作用都是将函数绑定到另外一个对象上去运行，两者仅在定义参数方式有所区别：</p>
<p>     apply(thisArg,argArray);</p>
<p>     call(thisArg[,arg1,arg2…] ]);</p>
<p>即所有函数内部的this指针都会被赋值为thisArg，这可实现将函数作为另外一个对象的方法运行的目的</p>
<p>apply的说明</p>
<p>如果 argArray 不是一个有效的数组或者不是 arguments 对象，那么将导致一个 TypeError。<br />
如果没有提供 argArray 和 thisArg任何一个参数，那么 Global 对象将被用作 thisArg， <br />
并且无法被传递任何参数。</p>
<p>call的说明</p>
<p>call 方法可将一个函数的对象上下文从初始的上下文改变为由 thisArg指定的新对象。<br />
如果没有提供 thisArg参数，那么 Global 对象被用作 thisArg</p>
<p>相关技巧：</p>
<p>应用call和apply还有一个技巧在里面，就是用call和apply应用另一个函数（类）以后，当前的<br />
函数（类）就具备了另一个函数（类）的方法或者是属性，这也可以称之为“继承”。看下面示例:</p>
<p><a><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvY29tbW9uLmNuYmxvZ3MuY29tL2ltYWdlcy9jb3B5Y29kZS5naWY=.jpg"></a></p>
<pre>// 继承的演示
function base() {
     this.member = " dnnsun_Member";
     this.method = function() {
         window.alert(this.member);
     }
}
function extend() {
     base.call(this);
     window.alert(member);
     window.alert(this.method);
}</pre>
<p><a><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvY29tbW9uLmNuYmxvZ3MuY29tL2ltYWdlcy9jb3B5Y29kZS5naWY=.jpg"></a></p>
<p> </p>
<p>上面的例子可以看出，通过call之后，extend可以继承到base的方法和属性。</p>
<p> </p>
<p>顺便提一下，在javascript框架prototype里就使用apply来创建一个定义类的模式，</p>
<p>其实现代码如下：</p>
<p><a><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvY29tbW9uLmNuYmxvZ3MuY29tL2ltYWdlcy9jb3B5Y29kZS5naWY=.jpg"></a></p>
<pre>var Class = {
   create: function() {
     return function() {
       this.initialize.apply(this, arguments);
     }
   }
}</pre>
<p><a><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvY29tbW9uLmNuYmxvZ3MuY29tL2ltYWdlcy9jb3B5Y29kZS5naWY=.jpg"></a></p>
<p> </p>
<p>解析：从代码看,该对象仅包含一个方法：Create，其返回一个函数，即类。但这也同时是类的<br />
构造函数，其中调用initialize，而这个方法是在类创建时定义的初始化函数。通过如此途径，<br />
就可以实现prototype中的类创建模式</p>
<p>示例：</p>
<p><a><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvY29tbW9uLmNuYmxvZ3MuY29tL2ltYWdlcy9jb3B5Y29kZS5naWY=.jpg"></a></p>
<pre>var vehicle=Class.create();
vehicle.prototype={
     initialize:function(type){
         this.type=type;
     }
     showSelf:function(){
         alert("this vehicle is "+ this.type);
     }
}

var moto=new vehicle("Moto");
moto.showSelf();</pre>
<p><a><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvY29tbW9uLmNuYmxvZ3MuY29tL2ltYWdlcy9jb3B5Y29kZS5naWY=.jpg"></a></p>
<p>更详细的关于prototype信息请到其官方网站查看。</p>
<p>如果认为此文对您有帮助，别忘了支持一下哦！</p>
<p>作者：<a href="http://youring2.cnblogs.com/" rel="external nofollow noreferrer">齐飞</a></p>
<p>来源：<a href="http://youring2.cnblogs.com/" rel="external nofollow noreferrer">http://youring2.cnblogs.com/</a></p>
<p>声明：本博客原创文字只代表本人工作中在某一时间内总结的观点或结论，与本人所在单位没有直接利益关系。非商业，未授权，贴子请以现状保留，转载时必须保留此段声明，且在文章页面明显位置给出原文连接。</p>
<p>转载：http://www.cnblogs.com/youring2/archive/2012/07/04/2576665.html</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 09:15:37</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong>         </div> -->
	</section>
	
	

		<div id="similar">

		<h3>【转】全面理解javascript的caller,callee,call,apply概念的相关文章</h3>

						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/aM6vlJM.html" rel="bookmark">全面理解javascript的caller&comma;callee&comma;call&comma;apply概念</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				javascript|概念 在提到上述的概念之前,首先想说说javascript中函数的隐含参数:arguments Arguments 该对象代表正在执行的函数和调用它的函数的参数. [function.]arguments[n]参数function :选项.当前正在执行的 Function 对象的名字. n :选项.要传递给 Function 对象的从0开始的参数值索引. 说明 Arguments是进行函数调用时,除了指定的参数外,还另外创建的一个隐藏对象.Arguments是一个类似数组但			</div>
		</article>
	</section>
						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pnna40p.html" rel="bookmark">理解Javascript的caller&comma;callee&comma;call&comma;apply区别&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在提到上述的概念之前,首先想说说javascript中函数的隐含参数:arguments arguments 该对象代表正在执行的函数和调用它的函数的参数. [function.]arguments[n] 参数function :选项.当前正在执行的 Function 对象的名字. n :选项.要传递给 Function 对象的从0开始的参数值索引.  说明 arguments是进行函数调用时,除了指定的参数外,还另外创建的一个隐藏对象.arguments是一个类似数组但不是数组的对象,说它类似			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/2pLKa8M.html" rel="bookmark">全面理解&amp;amp&semi;&num;106avascript的caller&comma;callee&comma;call&comma;apply概念</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				概念 在提到上述的概念之前,首先想说说javascript中函数的隐含参数:arguments Arguments 该对象代表正在执行的函数和调用它的函数的参数. [function.]arguments[n]参数function :选项.当前正在执行的 Function 对象的名字. n :选项.要传递给 Function 对象的从0开始的参数值索引. 说明 Arguments是进行函数调用时,除了指定的参数外,还另外创建的一个隐藏对象.Arguments是一个类似数组但不是数组的对象,说它类			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p8Nv3Nb.html" rel="bookmark">理解JavaScript的caller&comma;callee&comma;call&comma;apply&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				首先想说说javascript中函数的隐含参数:arguments Arguments 该对象代表正在执行的函数和调用它的函数的参数. [function.]arguments[n] 参数function :选项.当前正在执行的 Function 对象的名字. n :选项.要传递给 Function 对象的从0开始的参数值索引. 说明 Arguments是进行函数调用时,除了指定的参数外,还另外创建的一个隐藏对象.Arguments是一个类似数组但不是数组的对象,说它类似数组是因为其具有数组一样			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pdmyaAz.html" rel="bookmark">深入理解JavaScript中的call、apply、bind方法的区别&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在JavaScript 中,this的指向是动态变化的,很可能在写程序的过程中,无意中破坏掉this的指向,所以我们需要一种可以把this的含义固定的技术,于是就有了call,apply 和bind这三个方法,来改变函数体内部 this 的指向,因为函数存在「定义时上下文」和「运行时上下文」以及「上下文是可以改变的」这样的概念 apply.call apply:应用某一对象的一个方法,用另一个对象替换当前对象 call:调用一个对象的一个方法,以另一个对象替换当前对象 function pers			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b3WlNwb.html" rel="bookmark">javascript下arguments&comma;caller&comma;callee&comma;call&comma;apply示例及理解&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在提到上述的概念之前,首先想说说javascript中函数的隐含参数:arguments Arguments 该对象代表正在执行的函数和调用它的函数的参数. [function.]arguments[n] 参数function :选项.当前正在执行的 Function 对象的名字. n :选项.要传递给 Function 对象的从0开始的参数值索引. 说明 Arguments是进行函数调用时,除了指定的参数外,还另外创建的一个隐藏对象.Arguments是一个类似数组但不是数组的对象,说它类似数			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zJ7Novb.html" rel="bookmark">JavaScript中的caller&comma;callee&comma;call&comma;apply详细介绍</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				首先想说说javascript中函数的隐含参数:arguments Arguments 该对象代表正在执行的函数和调用它的函数的参数. [function.]arguments[n] 参数function :选项.当前正在执行的 Function 对象的名字. n :选项.要传递给 Function 对象的从0开始的参数值索引. 说明 Arguments是进行函数调用时,除了指定的参数外,还另外创建的一个隐藏对象.Arguments是一个类似数组但不是数组的对象,说它类似数组是因为其具有数组一样			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/ze0jPjp.html" rel="bookmark">通过实例理解javascript中没有函数重载的概念&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				将函数名想象为指针,也有助于理解为什么ECMAScript中没有函数重载的概念.如下例子: 复制代码 代码如下: function addSomeNum(num) {     return num+100; } function addSomeNum(num) {     return num+200; } var result=addSomeNum(100);//300 显然,这个例子中声明了两个同名函数,而结果则是后面的函数覆盖了前面的函数.以上代码实际上与下面的代码是一致的. 复制代码 代			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z7WAn5z.html" rel="bookmark">javascript中caller和callee详解&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				最近学习javascript,碰到caller和callee的问题,去网上百度了很多.搜到的内容大同小益,整理总结了一下与大家分享. caller:返回一个对调用function函数的函数的引用(用法:function.caller) 说明:对于函数来说,caller属性只有在函数执行时才有定义.如果函数由顶层调用,caller则为null. var time = 3 //控制次数,去掉会一直在caller与handleCaller交替不断执行 function caller() { calle			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OM9AWXM.html" rel="bookmark" class="title">ASP&period;NET MVC 3&period;0学习系列文章&mdash;NuGet and ASP&period;NET MVC 3&period;0</a>
					<div>
						1.Introduction NuGet is a Visual Studio 2010 extension that makes it easy to add, remove, and update ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/rz4kJ1p.html" rel="bookmark" class="title">ASP&period;NET中的无刷新验证码的开发&lpar;完整代码&rpar;</a>
					<div>
						复制代码 代码如下: &lt;%@ Page Language=&quot;C#&quot; AutoEventWireup=&quot;true&quot; CodeFile=&quot;Login ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMyZBZp.html" rel="bookmark" class="title">VBScript基础教程之三VBScript数据类型</a>
					<div>
						vbscript|基础教程|数据|数据类型 什么是 VBScript 数据类型? VBScript 只有一种数据类型,称为 Variant.Variant 是一种特殊的数据类型,根据使用的方式,它可以 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/xpnBBjp.html" rel="bookmark" class="title">互联网产品设计&colon;SNS到B2C的聪明小动作</a>
					<div>
						对SNS很感兴趣,发现了一些很有作用的产品,好玩儿 但是如果用在B2C中呢? 这个,放在B2C用户登录之后的位置,告诉用户完善资料,你会给予什么优惠 丰富的用户资料,可以让我们更加细分人群,进行精准的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/1Mvgn8p.html" rel="bookmark" class="title">Microsoft User Interface Process Application Block 研究（3）</a>
					<div>
						application 这篇文章研究的是如何在一个用户登录后获得用户的任务. 在Web界面中,用户如果通过验证就会转到welocme.aspx页面中,在这个页面中首先创建一个CartTask对象: D ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2yRPkz.html" rel="bookmark" class="title">使用openssl加密文件</a>
					<div>
						Openssl是一个开源的用以实现SSL协议的产品,它主要包括了三个部分:密码算法库.应用程序.SSL协议库.Openssl实现了SSL协议所需要的大多数算法. 下面我将单介绍使用Openssl进行文 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bK7yQab.html" rel="bookmark" class="title">C&num;的调试和错误处理</a>
					<div>
						再优秀的程序员在编程的过程中也会犯些错误,何况是我们这些初级程序学者;好的程序员会找出一些错误并修改它们.有时候程序中存在一些微妙的错误我们发现不了的时候就得跟踪代码进行调试. 一.Visual St ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bo6V9jz.html" rel="bookmark" class="title">PowerPoint 2007制作倒计时进度条</a>
					<div>
						  倒计时的进度条经常可以在各种场合见到.有时候电视台放广告时也会有这么一个东西,让我们看到时间的流逝,从而对漫长的广告时间不至于太过绝望.其实,在我们的课堂上也可以用的,比如搞个限时答题环节.好了, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvKkZVp.html" rel="bookmark" class="title">Python多进程编程下线程之间变量的共享问题</a>
					<div>
						  这篇文章主要介绍了探究Python多进程编程下线程之间变量的共享问题,多进程编程是Python学习进阶中的重要知识,需要的朋友可以参考下 1.问题: 群中有同学贴了如下一段代码,问为何 list  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwLWovb.html" rel="bookmark" class="title">js控制页面的全屏展示和退出全屏显示的方法</a>
					<div>
						 这篇文章主要介绍了js控制页面的全屏展示和退出全屏显示的方法,实例分析了javascript控制页面全屏效果的技巧,具有一定参考借鉴价值,需要的朋友可以参考下     本文实例讲述了js控制页面的全 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkGmVwp.html" rel="bookmark" class="title">Windows 8&period;1系统兼容性之游戏篇</a>
					<div>
						  2013年10月17日,微软正式提供Windows 8.1的下载,所有安装了Windows 8的用户都可以通过Windows Store获得更新.全新Windows 8.1系统不仅让&quot;开 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQNm78M.html" rel="bookmark" class="title">Win7家长控制设置图文</a>
					<div>
						  控制孩子使用计算机的时间 游戏 允许和阻止特定程序 A:为孩子创建一个账户 单击开始, 在命令框里面输入 家长控制 并在命令行结果集里面单击家长控制,如下图所示: 在家长控制对话框里,点击位于中间 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pP8a5lp.html" rel="bookmark" class="title">新浪微博什么是企业版微客服？</a>
					<div>
						  微客服是提供给企业更详细管理客服类别及时间的模块,位于企业主页右侧边栏.企业可以在模块中设定客服的相应类型及相应的服务时间,便于用户更好地与企业联系及客服信息的管理.					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9EGDvM.html" rel="bookmark" class="title">Mac怎么切换输入法？Mac输入法快捷键设置</a>
					<div>
						  Mac怎么切换输入法?苹果电脑的操作方式跟windows系统操作不同,很多东西的操作方法也不一样,当然每个功能所对应的快捷键也大不相同,PC6小编就为大家介绍两种可以实现输入法切换的方法,希望本文 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mq8vrab.html" rel="bookmark" class="title">emqttd安装</a>
					<div>
						1.win10环境中 1.官网下载,解压 2.进入解压目录 shift+右键,控制台打开 3.进入 bin目录 执行 emqttd console 控制台模式启动: 4.运行emqttd bin目录下 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0QlL8p.html" rel="bookmark" class="title">使用Fiddler提高前端工作效率 &lpar;实例篇&rpar;</a>
					<div>
						在上一篇(介绍篇)中,我们对Fidhttp://www.aliyun.com/zixun/aggregation/16504.html&quot;&gt;dler Web Debugger有了简单的接 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boR4QBz.html" rel="bookmark" class="title">java web-如何在本机访问虚拟机上所写的javaweb</a>
					<div>
						问题描述 如何在本机访问虚拟机上所写的javaweb 如何在本机访问虚拟机上所写的javaweb?本机win8.1 虚拟机win7系统 是否先ping虚拟机的地址?还是有其他方法 在线求解 解决方案  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/My3DXPz.html" rel="bookmark" class="title">对Linux中inode的理解</a>
					<div>
						文件名 -&gt; inode -&gt; device block 转自:http://www.cnblogs.com/itech/archive/2012/05/15/2502284.html 一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlQwN8p.html" rel="bookmark" class="title">Inno setup定制安装界面</a>
					<div>
						原文:Inno setup定制安装界面 Innosetup功能很强大,可以通过它提供的Wizard接口来定制界面,但我对PASCAL语言不熟悉,也不清楚通过那种接口可改动的范围有多大,最后做出来的效果 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boR19dz.html" rel="bookmark" class="title">聊天列表是本地保存的还是从服务器上获取的？</a>
					<div>
						问题描述 本帖最后由 独孤求败 于 2015-2-27 14:55 编辑 聊天列表是本地保存的还是从服务器上获取的? 解决方案 聊天列表都是保存在本地了,是sdk自动保存的.服务器上也有存聊天记录,但 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeRyB8b.html" rel="bookmark" class="title">Sphinx &colon; 高性能SQL全文检索引擎</a>
					<div>
						Sphinx是一款基于SQL的高性能全文检索引擎,Sphinx的性能在众多全文检索引擎中也是数一数二的,利用Sphinx,我们可以完成比数据库本身更专业的搜索功能,而且可以有很多针对性的性能优化. S ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6ZPJOM.html" rel="bookmark" class="title">c&num;-现有一个完整的exe文件，如何使用C&num;给他加壳</a>
					<div>
						问题描述 现有一个完整的exe文件,如何使用C#给他加壳 我现在有一个exe文件,不知道语言版本,想使用c#给他加一个壳,网上找了几个说把exe文件直接放在resources中当作资源使用,问题是直接 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8AWL9z.html" rel="bookmark" class="title">Java设计模式&lpar;八&rpar;----代理模式</a>
					<div>
						代理描述 1.生活中: 代理就是一个人或者一个组织代表其他人去做一件事的现实生活中的.在一些情况下,一个客户不想或者不能够直接引用一个对象,而代理对象可以在客户端和目标对象之间起到中介的作用. 2.官 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOJ4Y3p.html" rel="bookmark" class="title">C&plus;&plus;游戏系列6：自己动起来</a>
					<div>
						更多见:C++游戏系列目录 知识点:(1)对象数组,自动生成了很多个&quot;玩家&quot;(角色类的对象),自动玩:(2)使用文件:武器要从文件中读,玩的过程,写入到了文件. 不足(待改进之处) ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkAlvrb.html" rel="bookmark" class="title">Red Hat目前增长势如破竹</a>
					<div>
						这家全球首个也是唯一一家开源技术厂商的年营收达到10亿美元,这其中的一个主要原因就是,红帽手下的软件工程师们几乎不会离职.2012年,红帽雇佣了约1000名员工,该公司目前的员工总是约为5700人.该 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVQA6Yp.html" rel="bookmark" class="title">使用了环信的推送，还能用极光推送么？</a>
					<div>
						问题描述 使用了环信的推送,还能用极光推送么? 解决方案 可以使用的.解决方案二:能留个qq吗,有点环信的问题想请教您@hxshenchong					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnRQ9op.html" rel="bookmark" class="title">SEO应用于网站全过程解析</a>
					<div>
						&amp;http://www.aliyun.com/zixun/aggregation/37954.html&quot;&gt;nbsp;   SEO是什么?什么是SEO?习惯利用搜索引擎的朋友就会 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mgw643M.html" rel="bookmark" class="title">刷新显示-QT QTableView控件 数据写入实时刷新</a>
					<div>
						问题描述 QT QTableView控件 数据写入实时刷新 背景:QT编程,QTableView控件做数据库的显示 QTableView是这样创建的(tableView是QTableView创建的对象 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVQ2qQp.html" rel="bookmark" class="title">《易学C&plus;&plus;（第2版）》&mdash;&mdash;1&period;9　方法指导</a>
					<div>
						1.9 方法指导 工欲善其事,必先利其器.在学习程序设计之前,必须做好充分的准备工作.首先,要了解程序和软件的概念,并且知道程序设计是在做什么.然后,要知道一些语言的基本概念,以及高级语言能被计算机理 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwKWNnz.html" rel="bookmark" class="title">Ajax验证用户的唯一性&lowbar;AJAX相关</a>
					<div>
						针对初学者,学习Ajax验证用户的唯一性实战是为了巩固Ajax,Jquery,Json与Struts2基础知识,具体内容如下 浏览效果图: 那我们就开始了,操作步骤如下 1.首先我们先导入所需要的包及 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.027 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
